Jump to content

Beta1 and Wampserver, or IIS


markscarts
 Share

Recommended Posts

Thanks to Al's guidance, was finally able to run Beta one on Windows running Apache with WAMP5 wampserver.

Issue was installation of ioncube, which is not so straightforward with this setup. To resolve, I did these steps:

Install Ioncube in Server Settings

1. left-click system tray navigation, open WAMP5 > Config Files > ini.php

2. add the following line:

zend_extension_ts = c:/wamp/ioncube/ioncube_loader_win_5.2.dll

Note: The bold 5.2 may vary, you need the appropriate file version downloaded as per instructions with Beta1

Note: obviously, you can change this path if necessary to wherever you put the ioncube folder, I just put it in the wamp folder instead of store root.

Note: You may paste that line anywhere, I paste it below the Zend optimizer line like this:

; Enable compatibility mode with Zend Engine 1 (PHP 4.x)

zend.ze1_compatibility_mode = Off

;Enable ioncube

zend_extension_ts = c:/wamp/ioncube/ioncube_loader_win_5.2.dll

3. Save the file, then restart the service.

Restarting Wampserver

I run WAMP5 continuously in system tray, to restart all services, just a few mouse clicks: Click server tray icon, choose Restart All Services and wait a few seconds, that's it.

IIS Users

If you are using the microsoft IIS for webserver instead of apache, you will have to use the backslash syntax in ini.php instead. Here is the syntax, as taken from the ioncube site . . .

Installation on a Windows Server

You need a Loader called

ioncube_loader_win_<php flavour>.dll

<php flavour> will be 4.1, 4.2 or 4.3 - i.e the first 2 digits of your PHP version.

Edit your php.ini file and add:

zend_extension_ts = "<drive>:\<path>\ioncube_loader_win_<php flavour>.dll"

where <drive> and <path> locate the Loader, and <php flavour> is whatever the correct value is for your system. If there are other zend_extension entries in the php.ini file place this new entry before the existing entries.

e.g.

zend_extension_ts = c:\WINNT\ioncube_loader_win_4.3.dll

----------------------------------

I'm currently running WAMP5 v. 1.6.6

Apache version : Apache/2.0.59 (Win32) PHP version : 5.2.0 Loaded extensions :

bcmath, calendar, com_dotnet, ctype, session, filter, ftp, hash, iconv, json, odbc, pcre, Reflection, date, libxml, standard, tokenizer, zlib, SimpleXML, dom, SPL, wddx, xml, xmlreader, xmlwriter, apache2handler, mbstring, gd, mysql, mysqli, PDO, pdo_sqlite, SQLite, ionCube Loader

MySQL version : 5.0.27-community-nt

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...